%global __python %{__python3}

%define albertplugins 68e9e4ac3539430bb8cce7b14a010fc6d234a41c
%define albertqhotkey 34330d6ff5d2ca111c376f6d7da66be9d1817430
%define albertqnotification 5370789111dadf97119ef7a42d64ef9aff3d79d7
%define alberti18n    79cb6054aaa616bfc1949d8bc2817b08117f7486
%define albertpluginspybind a2e59f0e7065404b44dfe92a28aca47ba1378dc4
%define albertpythonplugins 50a2d4e0252b392f78fcd44b03dbcb7f9722cf2f

Name:           albert
Version:        0.26.11
Release:        1%{?dist}
Summary:        Desktop agnostic launcher
License:        GPL-3.0+
URL:            https://albertlauncher.github.io/
#Source:         %{name}-master.zip
Source:         https://github.com/albertlauncher/albert/archive/refs/tags/v%{version}.tar.gz
Source2:	https://github.com/albertlauncher/plugins/archive/%{albertplugins}.tar.gz
Source3:	https://github.com/pybind/pybind11/archive/%{albertpluginspybind}.tar.gz
Source4:	https://github.com/Skycoder42/QHotkey/archive/%{albertqhotkey}.tar.gz
Source5:        https://github.com/albertlauncher/i18n/archive/%{alberti18n}.tar.gz
Source6:	https://github.com/QtCommunity/QNotification/archive/%{albertqnotification}.tar.gz
Source7:        https://github.com/albertlauncher/python/archive/%{albertpythonplugins}.tar.gz

# PATCH-FIX-OPENSUSE albert-fix-libdir.patch sor.alexei@meowr.ru -- Install libraries into a correct directory.
Patch0:         %{name}-fix-libdir.patch

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  hicolor-icon-theme
BuildRequires:  pkgconfig
BuildRequires:  desktop-file-utils
BuildRequires:  pkgconfig(Qt6Concurrent) >= 6.2
BuildRequires:  pkgconfig(Qt6Core) >= 6.2
BuildRequires:  pkgconfig(Qt6DBus) >= 6.2
BuildRequires:  pkgconfig(Qt6Gui) >= 6.2
BuildRequires:  pkgconfig(Qt6Network) >= 6.2
BuildRequires:  pkgconfig(Qt6Sql) >= 6.2
BuildRequires:  pkgconfig(Qt6Svg) >= 6.2
BuildRequires:  pkgconfig(Qt6Widgets) >= 6.2
#BuildRequires:  pkgconfig(Qt6X11Extras) >= 6.2
BuildRequires:  pkgconfig(Qt6Xml) >= 6.2
BuildRequires:  pkgconfig(muparser)
BuildRequires:  pkgconfig(Qt6Qml) >= 6.2
BuildRequires:  pkgconfig(Qt6Charts) >= 6.2
BuildRequires:  pkgconfig(Qt6StateMachine) >= 6.2
BuildRequires:  python3-devel
BuildRequires:  libXext-devel
BuildRequires:  pybind11-devel
BuildRequires:  libxkbcommon-devel
BuildRequires:  pkgconfig(Qt6Linguist)
BuildRequires:  libqalculate-devel
BuildRequires:  libarchive-devel

%description
Access everything with virtually zero effort. Run applications,
open files or their paths, open bookmarks in your browser, search
the web, calculate things and a lot more.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-%{version}
tar -C plugins                 --strip-components=1 -zxvf %{SOURCE2}
tar -C plugins/python/pybind11 --strip-components=1 -zxvf %{SOURCE3}
tar -C lib/QHotkey             --strip-components=1 -zxvf %{SOURCE4}
tar -C i18n                    --strip-components=1 -zxvf %{SOURCE5}
tar -C lib/QNotification       --strip-components=1 -zxvf %{SOURCE6}
tar -C plugins/python/plugins  --strip-components=1 -zxvf %{SOURCE7}

#patch0 -p1
#sed -i '32i #include <functional>' src/lib/albert/src/albert/albert.cpp
#sed -i '31i #include <QAction>' src/lib/albert/src/albert/mainwindow/mainwindow.cpp
#sed -i '26i #include <QRegularExpression>' src/plugins/ssh/src/main.cpp

%build
%cmake \
  -DCMAKE_SHARED_LINKER_FLAGS="" \
  -DCMAKE_SKIP_RPATH=OFF
cd redhat-linux-build
make %{?_smp_mflags}


%install
cd redhat-linux-build
%make_install
rm -rf %{buildroot}%{_libdir}/%{name}-%{version}
rm -rf %{buildroot}%{_libdir}/cmake

%files
%doc README.md
%{_bindir}/%{name}
%{_libdir}/%{name}/
%{_libdir}/lib%{name}.so.0*
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so

%changelog
* Mon Dec 30 2024 josef radinger <cheese@nosuchhost.net> - 0.26.11-1
- bump version
- add dependency on qt6-linguist
- add dependecy on libqalculate-devel
- add dependecy on libarchive-devel
- add additional dependencies

* Wed Jan 11 2023 josef radinger <cheese@nosuchhost.net> - 0.18.11-1
- bump version
- no more separate pybind11
- switch to qt6
- Buildrequires on qt6-qtscxml-devel
- Buildrequires on libxkbcommon-devel
- add external lib QHotkey
- add libalbert.so and remove some cmake-files from libdir

* Sun Oct 16 2022 josef radinger <cheese@nosuchhost.net> - 0.17.6-1
- plugins now have their own repo
- pybind, too
- bump version

* Fri Jul 08 2022 josef radinger <cheese@nosuchhost.net> - 0.17.3-1
- bump version
- src-patch changed to albert-$version

* Tue May 24 2022 josef radinger <cheese@nosuchhost.net> - 0.17.2-3
- new download source

* Sun Apr 17 2022 josef radinger <cheese@nosuchhost.net> - 0.17.2-2
- cleanup
- build-directory

* Fri Dec 25 2020 josef radinger <cheese@nosuchhost.net> - 0.17.2-1
- bump version

* Fri Dec 18 2020 josef radinger <cheese@nosuchhost.net> - 0.17.0-1
- bump version

* Sun Dec 13 2020 josef radinger <cheese@nosuchhost.net> - 0.16.4-1
- bump version

* Thu Nov 05 2020 josef radinger <cheese@nosuchhost.net> - 0.16.3_20190124git34c00d7-3
- add smp_flags
- use _host

* Sat Apr 04 2020 josef radinger <cheese@nosuchhost.net> - 0.16.2_20190124git34c00d7
- add Buildrequires on libXext-devel

* Sat Apr 04 2020 josef radinger <cheese@nosuchhost.net> - 0.16.1_20190124git34c00d7
- bump version

* Mon Mar 25 2019 Wei-Lun Chao <bluebat@member.fsf.org> - 0.16.1git
- Rebuild for Fedora

* Tue May  9 2017 sor.alexei@meowr.ru
- Update to version 0.11.1:
  * No changelog available.
- Rebase albert-fix-libdir.patch.

* Mon Feb  6 2017 sor.alexei@meowr.ru
- Update to version 0.9.3:
  * No changelog available.
- Add albert-fix-libdir.patch: Install libraries into a correct
  directory.

* Sat Jul 23 2016 sor.alexei@meowr.ru
- Update to version 0.8.10:
  * No changelog available.

* Sat May 28 2016 sor.alexei@meowr.ru
- Update to version 0.8.9:
  * No changelog available.

* Wed May  4 2016 sor.alexei@meowr.ru
- Update to version 0.8.8.

* Mon Apr 25 2016 p.drouand@gmail.com
- Update to version 0.8.7.2
  * No changelog available
- Add pkgconfig(Qt5Svg) requirement; new upstream dependency

* Mon Nov 23 2015 sor.alexei@meowr.ru
- Initial package.
